### Hierarchy

- Camera

## Index

### Constructors

- constructor

### Properties

- handle
- shakeNames

### Accessors

- DepthOfFieldStrength
- Direction
- FarClip
- FarDepthOfField
- FieldOfView
- ForwardVector
- IsActive
- IsInterpolating
- IsShaking
- MotionBlurStrength
- NearClip
- NearDepthOfField
- Position
- Rotation
- ShakeAmplitude

### Methods

- attachTo
- delete
- detach
- exists
- interpTo
- pointAt
- shake
- stopPointing
- stopShaking

## Constructors

### constructor

- new Camera(handle: number): Camera

- - Defined in Camera.ts:22

  #### Parameters

  - ##### handle: number

  #### Returns Camera

## Properties

### Private handle

handle: number

- Defined in Camera.ts:20

### Private Readonly shakeNames

shakeNames: string[] = ...

- Defined in Camera.ts:6

## Accessors

### DepthOfFieldStrength

- set DepthOfFieldStrength(strength: number): void

- - Defined in Camera.ts:138

  #### Parameters

  - ##### strength: number

  #### Returns void

### Direction

- get Direction(): Vector3
- set Direction(direction: Vector3): void

- - Defined in Camera.ts:57

  Gets the direction the camera is facing. Same as ForwardVector

  #### Returns Vector3

- - Defined in Camera.ts:61

  Gets the direction the camera is facing. Same as ForwardVector

  #### Parameters

  - ##### direction: Vector3

  #### Returns void

### FarClip

- get FarClip(): number
- set FarClip(farClip: number): void

- - Defined in Camera.ts:118

  #### Returns number

- - Defined in Camera.ts:122

  #### Parameters

  - ##### farClip: number

  #### Returns void

### FarDepthOfField

- get FarDepthOfField(): number
- set FarDepthOfField(farDepthOfField: number): void

- - Defined in Camera.ts:130

  #### Returns number

- - Defined in Camera.ts:134

  #### Parameters

  - ##### farDepthOfField: number

  #### Returns void

### FieldOfView

- get FieldOfView(): number
- set FieldOfView(fieldOfView: number): void

- - Defined in Camera.ts:102

  #### Returns number

- - Defined in Camera.ts:106

  #### Parameters

  - ##### fieldOfView: number

  #### Returns void

### ForwardVector

- get ForwardVector(): Vector3

- - Defined in Camera.ts:79

  #### Returns Vector3

### IsActive

- get IsActive(): boolean
- set IsActive(active: boolean): void

- - Defined in Camera.ts:26

  #### Returns boolean

- - Defined in Camera.ts:30

  #### Parameters

  - ##### active: boolean

  #### Returns void

### IsInterpolating

- get IsInterpolating(): boolean

- - Defined in Camera.ts:199

  #### Returns boolean

### IsShaking

- get IsShaking(): boolean

- - Defined in Camera.ts:154

  #### Returns boolean

### MotionBlurStrength

- set MotionBlurStrength(strength: number): void

- - Defined in Camera.ts:142

  #### Parameters

  - ##### strength: number

  #### Returns void

### NearClip

- get NearClip(): number
- set NearClip(nearClip: number): void

- - Defined in Camera.ts:110

  #### Returns number

- - Defined in Camera.ts:114

  #### Parameters

  - ##### nearClip: number

  #### Returns void

### NearDepthOfField

- set NearDepthOfField(nearDepthOfField: number): void

- - Defined in Camera.ts:126

  #### Parameters

  - ##### nearDepthOfField: number

  #### Returns void

### Position

- get Position(): Vector3
- set Position(position: Vector3): void

- - Defined in Camera.ts:34

  #### Returns Vector3

- - Defined in Camera.ts:39

  #### Parameters

  - ##### position: Vector3

  #### Returns void

### Rotation

- get Rotation(): Vector3
- set Rotation(rotation: Vector3): void

- - Defined in Camera.ts:43

  #### Returns Vector3

- - Defined in Camera.ts:48

  #### Parameters

  - ##### rotation: Vector3

  #### Returns void

### ShakeAmplitude

- set ShakeAmplitude(amplitude: number): void

- - Defined in Camera.ts:158

  #### Parameters

  - ##### amplitude: number

  #### Returns void

## Methods

### attachTo

- attachTo(object: Entity | PedBone, offset: Vector3): void

- - Defined in Camera.ts:203

  #### Parameters

  - ##### object: Entity | PedBone

  - ##### offset: Vector3

  #### Returns void

### delete

- delete(): void

- - Defined in Camera.ts:223

  #### Returns void

### detach

- detach(): void

- - Defined in Camera.ts:219

  #### Returns void

### exists

- exists(): boolean

- - Defined in Camera.ts:227

  #### Returns boolean

### interpTo

- interpTo(to: Camera, duration: number, easePosition: boolean, easeRotation: boolean): void

- - Defined in Camera.ts:184

  #### Parameters

  - ##### to: Camera

  - ##### duration: number

  - ##### easePosition: boolean

  - ##### easeRotation: boolean

  #### Returns void

### pointAt

- pointAt(target: Vector3 | Entity | PedBone, offset?: Vector3): void

- - Defined in Camera.ts:162

  #### Parameters

  - ##### target: Vector3 | Entity | PedBone

  - ##### offset: Vector3 = ...

  #### Returns void

### shake

- shake(shakeType: CameraShake, amplitude: number): void

- - Defined in Camera.ts:146

  #### Parameters

  - ##### shakeType: CameraShake

  - ##### amplitude: number

  #### Returns void

### stopPointing

- stopPointing(): void

- - Defined in Camera.ts:180

  #### Returns void

### stopShaking

- stopShaking(): void

- - Defined in Camera.ts:150

  #### Returns void

Generated using TypeDoc